package system

import (
	"kra/internal/biz/system"
)

type auditQueryRepo struct{ data Provider }
type auditRecorderRepo struct{ data Provider }
type logFileRepo struct{ data Provider }

func NewAuditRepo(data Provider) system.AuditQueryRepo { return &auditQueryRepo{data: data} }

func NewAuditRecorderRepo(data Provider) system.AuditRecordRepo {
	return &auditRecorderRepo{data: data}
}

func NewLogFileRepo(data Provider) system.LogFileRepo { return &logFileRepo{data: data} }
